Download

Android Build failed since 4.18.3 (Google Play Services)

Hi,

since updating to 4.18.3 i have the following problems building Android .apk (ETC1/Gradle):

UATHelper: Packaging (Android (ETC1)): ====16.02.2018 13:36:55====PERFORMING FINAL APK PACKAGE OPERATION================================================
UATHelper: Packaging (Android (ETC1)): Creating rungradle.bat to work around commandline length limit (using unused drive letter Z:)
UATHelper: Packaging (Android (ETC1)): Making .apk with Gradle…
UATHelper: Packaging (Android (ETC1)): Observed package id ‘build-tools;25.0.3’ in inconsistent location ‘D:\NVPACK\android-sdk-windows\build-tools\android-7.1.1’ (Expected ‘D:\NVPACK\android-sdk-windows\build-tools\25.0.3’)
UATHelper: Packaging (Android (ETC1)): Observed package id ‘build-tools;25.0.3’ in inconsistent location ‘D:\NVPACK\android-sdk-windows\build-tools\android-7.1.1’ (Expected ‘D:\NVPACK\android-sdk-windows\build-tools\25.0.3’)
UATHelper: Packaging (Android (ETC1)): Incremental java compilation is an incubating feature.
UATHelper: Packaging (Android (ETC1)): Observed package id ‘build-tools;25.0.3’ in inconsistent location ‘D:\NVPACK\android-sdk-windows\build-tools\android-7.1.1’ (Expected ‘D:\NVPACK\android-sdk-windows\build-tools\25.0.3’)
UATHelper: Packaging (Android (ETC1)): FAILURE: Build failed with an exception.
UATHelper: Packaging (Android (ETC1)): * What went wrong:
UATHelper: Packaging (Android (ETC1)): A problem occurred configuring project ‘:app’.
UATHelper: Packaging (Android (ETC1)): > Could not resolve all dependencies for configuration ‘:app:_debugApkCopy’.
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-auth:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-games:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-nearby:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-plus:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-ads:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-base:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-ads:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-auth:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-games:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-nearby:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-location:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): > Could not find com.google.android.gms:play-services-plus:11.6.2.
UATHelper: Packaging (Android (ETC1)): Required by:
UATHelper: Packaging (Android (ETC1)): :app:unspecified
UATHelper: Packaging (Android (ETC1)): * Try:
UATHelper: Packaging (Android (ETC1)): Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
UATHelper: Packaging (Android (ETC1)): BUILD FAILED
UATHelper: Packaging (Android (ETC1)): Total time: 11.746 secs
UATHelper: Packaging (Android (ETC1)): ERROR: cmd.exe failed with args /c “F:\xxxx\13.02.18\xxxx\Intermediate/Android/APK\gradle\rungradle.bat” :app:assembleDebug
UATHelper: Packaging (Android (ETC1)): (see C:\Users\xxxx\AppData\Roaming\Unreal Engine\AutomationTool\Logs\D+Unreal+UE_4.18\UAT_Log.txt for full exception trace)
UATHelper: Packaging (Android (ETC1)): AutomationTool exiting with ExitCode=1 (Error_Unknown)
UATHelper: Packaging (Android (ETC1)): BUILD FAILED
PackagingResults: Error: Unknown Error

Are you using a gamedna plugin?

Yes, i do (extended Facebook Plugin) No Problem Building apk with the previous UE Version 4.18.2

Hello Bartolomeus76,

Have you installed gameDNA installer and SDKs using gameDNA installer as described in User Guide? Getting Started · gameDNAstudio/gameDNAinstaller Wiki · GitHub

Let me know if it helped you! :slight_smile:

I’m having the same issue as listed here. I’ve got the gameDNAinstaller in and I’m using the Google Analytics plugin and I get same error in 4.18.3 :frowning:

Please check what’s your content under the file Engine/Build/Android/Java/aar-imports.txt :slight_smile:

The file contains:

repositories $(ANDROID_HOME)/extras
repositories $(ENGINEDIR)/Source/ThirdParty/Android/extras
com.google.android.gms,play-services-auth,11.0.4
com.google.android.gms,play-services-games,11.0.4
com.google.android.gms,play-services-nearby,11.0.4
com.google.android.gms,play-services-plus,11.0.4

That’s not the same version it says its looking for right? Should I change it? I don’t want to edit engine files without knowing what I’m doing :rolleyes:

It looks like Maven Central server went down and gameDNA installer wasn’t able to download proper files. We added mirror to our cloud and it should work now. Please try again to install SDKs using gameDNA installer :slight_smile:

Works now! Thanks to GameDNA-Support, especially to Patrick! :slight_smile:

What is GameDNA?

What is GameDNA installer? I got the same problem at building Andriod using VisualStudio~
cmd.exe failed with args /c “E:\Projects\UE4\418\MyProject\Intermediate/Android/APK\gradle\rungradle.bat” :app:assembleDebug